-- 
--
-- @author  Grisu118
-- @date  08/11/2013
-- @version 1.0
-- @edit 01/11/2015 Fendtfan1
-- Copyright (C) Grisu118, All Rights Reserved.
-- free for noncommerical-usage
chain = {};

function chain.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;
function chain:load(xmlFile)	
	self.chain1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.chain_deattached#index"));
	self.chain2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.chain_attached#index"));

	setVisibility(self.chain1, false);
	setVisibility(self.chain2, true);
end;

function chain:delete()
end;
function chain:readStream(streamId, connection)
end;
function chain:writeStream(streamId, connection)
end;
function chain:mouseEvent(posX, posY, isDown, isUp, button)
end;
function chain:keyEvent(unicode, sym, modifier, isDown)
end;
function chain:update(dt)
end;
function chain:updateTick(dt)	
end;

function chain:draw()
end;


function chain:attachImplement(implement)
if self.attacherJoints[implement.jointDescIndex].topArm ~= nil then
setVisibility(self.chain1, true);
setVisibility(self.chain2, false); 
end;
end; 

function chain:detachImplement(implementIndex)
	setVisibility(self.chain1, false);
	setVisibility(self.chain2, true);
end;
